%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")


Name:           bokken
Version:        1.8
Release:        1%{?dist}
License:        LGPL-3.0
Source:         https://inguma.eu/projects/bokken/%{name}-%{version}.tar.gz
#Patch1:         %{name}-%{version}-patch-001
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:	GUI for the Pyew and Radare projects 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:	%{__python}
Requires:	python-radare
Requires:	python-tidy
Requires:	pygtk2
Requires:	pygtksourceview
Requires:	graphviz

%description
Bokken is a GUI for the Pyew and Radare projects so it offers almost all
the same features that Pyew has and and some of the Radare's ones. It's
intended to be a basic disassembler, mainly, to analyze malware and
vulnerabilities.

Currently Bokken is neither an hexadecimal editor nor a full featured
disassembler YET, so it should not be used for deep code analysis or to
try to modify files with it.

%prep
%setup
#%patch1 -p1

%build
%{__install} -m755 -d %{buildroot}%{python_sitelib}/%{name}
cp -rp . %{buildroot}%{python_sitelib}/%{name}
%{__install} -m755 -d %{buildroot}%{_bindir}
sed	-e 's=BOKKEN_DIR\=.*=BOKKEN_DIR\=/usr/lib/python2.7/site-packages/bokken='	\
	-e 's=PYTHON_EXECUTABLE\=.*=PYTHON_EXECUTABLE\=%{__python}=' 			\
	-e 's/python -V/$PYTHON_EXECUTABLE -V/'						\
		< %{name} > %{buildroot}%{_bindir}/%{name}
cd %{buildroot}%{python_sitelib}/%{name}
rm Changelog README LICENSE TODO .gitignore

%files
%doc Changelog README LICENSE
%attr(755, root, root)	%{_bindir}/%{name}
%attr(644, root, root)	%{python_sitelib}/%{name}/bokken
%attr(644, root, root)	%{python_sitelib}/%{name}/*.*
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*.*
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*/*.*
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*/*/*.*

%changelog
* Wed Jun 10 2015 Lawrence R. Rogers <lrr@cert.org> 1.8
* Release 1.7
	Release 1.8 (10-06-2015
	 * Removed pyew entirely.  Its support has been in a non-official deprecated
	   state for the past two years but we were trying not to do it.  Pyew has
	   some dependencies that makes harder to package it, it's missing a lot of
	   features from r2, plus it sees very few releases.
	 * Removed other almost useless features in their current form: Strings repr
	   and Interactive mode.  We expect to bring those at some point in a proper
	   way.
	 * Added r2 console.  It crashes here and there but we think it's rather
	   usable.
	 * Added interactive Python console.
	 * Rearranged and simplified some tabs: Strings, Relocs and File info.
	 * Some additional cleanups and fixes.

* Tue May  5 2015 Lawrence R. Rogers <lrr@cert.org> 1.7
* Release 1.7
	Release 1.7 (04-05-2015)
	 * General refactoring of functions and classes to make them more abstract and generic.
	 * Added new experimental web server (Mune) based on webpy with command-line
	   flag --web.  It's very incomplete but the idea is to keep making it a
	   first-class citizen in subsequent releases.
	 * Fixed a lot of usability bugs, weird bugs, corner cases, unhandled
	   exceptions and the like.
	 * Revamped all the search dialogs, moved them to a new tab and fixed some
	   bugs in the meantime.
	 * Added compatibility with radare2 up to 0.9.8.
	 * Added support for base address in radare.
	 * Updated xdot to latest version.
	 * Fixed Add comment functionality.
	 * Added click-to-go and highlighting the search string.
